Bug 232068 - KNotify4 crashes when playing a sound if PulseAudio+GStreamer+Alsa setup is used [@ Phonon::Gstreamer::AudioOutput::setOutputDevice]
Summary: KNotify4 crashes when playing a sound if PulseAudio+GStreamer+Alsa setup is u...
Status: RESOLVED UPSTREAM
Alias: None
Product: phonon-backend-gstreamer
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Colin Guthrie
URL:
Keywords: release_blocker
: 231116 233440 233454 233751 234541 235260 235547 236174 236266 236668 236919 236928 237003 237216 237297 237442 237744 237862 237950 238114 238188 238552 238709 238918 239043 239057 240162 240181 240428 240477 240562 240705 241028 241121 241334 241403 241577 241975 242245 242941 243850 244191 244298 244447 245249 245698 245699 245766 245937 246325 246333 246351 246495 247186 247663 247878 247930 248140 248238 248452 248569 248966 249432 250142 250285 250679 250735 250853 251743 252170 252171 252414 253416 253535 255056 255320 255462 256385 257346 258348 259818 261363 261389 263298 263887 265229 265546 267403 267606 268805 270497 271235 271595 277415 279171 280510 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-03-25 04:40 UTC by Daniel Aguayo
Modified: 2011-08-21 19:53 UTC (History)
107 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (6.80 KB, text/plain)
2010-04-19 03:00 UTC, Allen Webb
Details
New crash information added by DrKonqi (4.49 KB, text/plain)
2010-04-19 03:02 UTC, Allen Webb
Details
New crash information added by DrKonqi (4.34 KB, text/plain)
2010-04-24 17:17 UTC, omega
Details
New crash information added by DrKonqi (8.24 KB, text/plain)
2010-05-08 18:45 UTC, Oleg Atamanenko
Details
New crash information added by DrKonqi (8.24 KB, text/plain)
2010-05-08 18:45 UTC, Oleg Atamanenko
Details
New crash information added by DrKonqi (6.79 KB, text/plain)
2010-05-09 01:42 UTC, Markus
Details
New crash information added by DrKonqi (7.02 KB, text/plain)
2010-05-10 01:38 UTC, Adam Porter
Details
New crash information added by DrKonqi (6.75 KB, text/plain)
2010-05-11 23:09 UTC, Adam Porter
Details
log as requested (3.08 KB, text/plain)
2010-05-11 23:28 UTC, Adam Porter
Details
screenshot (95.56 KB, image/png)
2010-05-13 01:46 UTC, Adam Porter
Details
New crash information added by DrKonqi (6.80 KB, text/plain)
2010-05-20 20:36 UTC, valery.pipin
Details
New crash information added by DrKonqi (8.68 KB, text/plain)
2010-05-23 01:47 UTC, Brian Johnson
Details
New crash information added by DrKonqi (13.15 KB, text/plain)
2010-05-25 12:49 UTC, arkaitz
Details
New crash information added by DrKonqi (3.17 KB, text/plain)
2010-05-26 00:15 UTC, PC LX
Details
New crash information added by DrKonqi (6.26 KB, text/plain)
2010-05-27 18:58 UTC, jonathan
Details
New crash information added by DrKonqi (6.77 KB, text/plain)
2010-06-18 15:22 UTC, Jerry Ablan
Details
New crash information added by DrKonqi (6.40 KB, text/plain)
2010-06-19 07:59 UTC, steve bartram
Details
New crash information added by DrKonqi (14.24 KB, text/plain)
2010-06-20 14:41 UTC, tlmarris
Details
New crash information added by DrKonqi (6.03 KB, text/plain)
2010-06-20 14:45 UTC, tlmarris
Details
New crash information added by DrKonqi (6.31 KB, text/plain)
2010-07-26 19:30 UTC, Jim Lynch
Details
New crash information added by DrKonqi (5.73 KB, text/plain)
2010-08-29 15:59 UTC, Martin Goerg
Details
New crash information added by DrKonqi (7.10 KB, text/plain)
2010-08-30 00:50 UTC, Ralph Janke
Details
New crash information added by DrKonqi (6.21 KB, text/plain)
2010-09-12 02:55 UTC, edgar
Details
New crash information added by DrKonqi (6.17 KB, text/plain)
2010-10-04 19:17 UTC, Corvus
Details
New crash information added by DrKonqi (6.61 KB, text/plain)
2010-11-01 22:26 UTC, FAYC
Details
New crash information added by DrKonqi (4.64 KB, text/plain)
2010-12-28 05:54 UTC, shaun.d.tuck
Details
New crash information added by DrKonqi (9.48 KB, text/plain)
2011-04-09 21:18 UTC, m.prinke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Aguayo 2010-03-25 04:40:14 UTC
Application: knotify4 (4.0)
KDE Platform Version: 4.4.1 (KDE 4.4.1)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-ARCH i686
Distribution (Platform): Archlinux Packages

-- Information about the crash:
This is a fresh install with Pulseaudio. Knotify has a segmentation fault every time I start KDE and I already add pcm.phononpulse et al to /etc/asound.conf.

The crash can be reproduced every time.

 -- Backtrace:
Application: KNotify (knotify4), signal: Segmentation fault
[Current thread is 1 (Thread 0xb594c710 (LWP 2269))]

Thread 2 (Thread 0xae497b70 (LWP 2374)):
#0  0xb7854424 in __kernel_vsyscall ()
#1  0xb633beb6 in poll () from /lib/libc.so.6
#2  0xb2703082 in poll_func () from /usr/lib/libpulse.so.0
#3  0xb26f0399 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0xb26f1c23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0xb26f1cf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0xb2702f83 in thread () from /usr/lib/libpulse.so.0
#7  0xb26c5bf2 in internal_thread_func () from /usr/lib/libpulsecommon-0.9.21.so
#8  0xb60768ac in start_thread () from /lib/libpthread.so.0
#9  0xb634601e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb594c710 (LWP 2269)):
[KCrash Handler]
#6  0xb3d0e4ac in snd_pcm_ioplug_close () from /usr/lib/libasound.so.2
#7  0xb3ccca3e in snd_pcm_close () from /usr/lib/libasound.so.2
#8  0xb273b9e2 in gst_alsasink_close () from /usr/lib/gstreamer-0.10/libgstalsa.so
#9  0xb3829922 in gst_audioringbuffer_close_device () from /usr/lib/libgstaudio-0.10.so.0
#10 0xb3819cd0 in gst_ring_buffer_close_device () from /usr/lib/libgstaudio-0.10.so.0
#11 0xb38242a2 in gst_base_audio_sink_change_state () from /usr/lib/libgstaudio-0.10.so.0
#12 0xb38b75c5 in gst_element_change_state () from /usr/lib/libgstreamer-0.10.so.0
#13 0xb38badfb in gst_element_set_state_func () from /usr/lib/libgstreamer-0.10.so.0
#14 0xb38b6830 in gst_element_set_state () from /usr/lib/libgstreamer-0.10.so.0
#15 0xb3ad2fcc in Phonon::Gstreamer::AudioOutput::setOutputDevice(Phonon::ObjectDescription<(Phonon::ObjectDescriptionType)0> const&) () from /usr/lib/kde4/plugins/phonon_backend/phonon_gstreamer.so
#16 0xb7473cf9 in Phonon::AudioOutputPrivate::setupBackendObject() () from /usr/lib/libphonon.so.4
#17 0xb7474412 in Phonon::AudioOutputPrivate::createBackendObject() () from /usr/lib/libphonon.so.4
#18 0xb74722df in Phonon::AudioOutputPrivate::init(Phonon::Category) () from /usr/lib/libphonon.so.4
#19 0x08052cc4 in _start ()

Reported using DrKonqi
Comment 1 Dario Andres 2010-03-28 00:07:52 UTC
The bug seems related to Alsa and Gstreamer. Does this stop happening if you switch to the Xine Phonon backend ?
Regards
Comment 2 Myriam Schweingruber 2010-04-06 08:59:18 UTC
Also, is this still valid in KDE SC 4.4.2?
Comment 3 Colin Guthrie 2010-04-06 09:57:57 UTC
Yeah this is a sub-optimal setup.

Basically what is happening is that the GStreamer backend is used, and it's using it's alsa sink. This alsa sink is routed via pulse audio so the pipeline ends up like:

Phonon->GST->Alsa->Pulse->Alsa->Ears

where as it should be:

Phonon->GST->Pulse->Alsa->Ears

While it *should* work the above way, the GST alsa output is pretty advanced and probably wont play too nicely with a non-h/w device.

A better approach here is to:
 1) Ensure the pulsesink/pulsesrc are compiled and installed for your GST setup.
 2) Ensure you use the Phonon install from Gitorious rather than the Qt version (not sure how the Arch packages are done, but most other distros do this - and yes it is rather confusing :s)

HTHs
Comment 4 Dario Andres 2010-04-06 14:17:39 UTC
Reopening
Comment 5 Dario Andres 2010-04-06 14:18:38 UTC
*** Bug 231116 has been marked as a duplicate of this bug. ***
Comment 6 Dario Andres 2010-04-06 14:19:03 UTC
*** Bug 233454 has been marked as a duplicate of this bug. ***
Comment 7 Colin Guthrie 2010-04-06 15:11:49 UTC
Please note that the PulseAudio support in Phonon these days makes this setup impossible.

If pulseaudio is running (or is started via autospawn) then PA support requires direct handling of this in the engine itself. The Xine, Gstreamer and VLC engines all do this correctly.

The scenario described in the summary is thus not one that should be entertained.

For that reason, I doubt that any work to make such a scenario work would be worth doing, and it's not something that I personally am going to look at.
Comment 8 Sven Krohlas 2010-04-07 21:49:08 UTC
*** Bug 233440 has been marked as a duplicate of this bug. ***
Comment 9 Christoph Feck 2010-04-08 18:18:09 UTC
*** Bug 233751 has been marked as a duplicate of this bug. ***
Comment 10 Christoph Feck 2010-04-16 18:57:20 UTC
*** Bug 234541 has been marked as a duplicate of this bug. ***
Comment 11 Allen Webb 2010-04-19 03:00:28 UTC
Created attachment 42879 [details]
New crash information added by DrKonqi

I installed the gstreamer backend and switched over from xine and get a seg fault for knotify
Comment 12 Allen Webb 2010-04-19 03:02:09 UTC
Created attachment 42880 [details]
New crash information added by DrKonqi

switched to gstreamer, amarok crashes on startup. When I switch back to xine it works except every time another application plays a sound I have to restart amarok to get sound again.
Comment 13 Christoph Feck 2010-04-24 16:08:28 UTC
*** Bug 235260 has been marked as a duplicate of this bug. ***
Comment 14 omega 2010-04-24 17:17:28 UTC
Created attachment 43008 [details]
New crash information added by DrKonqi

amarok crashes on startup if i'm using gstreamer backend.
Comment 15 Colin Guthrie 2010-04-24 18:05:05 UTC
Just incase people looking at this bug missed it, make sure you read my comment #7. The stack that produces this bug is not one I'd recommend using and there are more efficient ways of linking things together. The work in phonon from git will automatically integrate with PA properly using the gstreamer, xine or vlc output layers. Make sure you have the relevant subpackages installed for each of those libraries that provide their pulseaudio sound output support (e.g. on Mandriva the relevant packages are: gstreamer0.10-pulse, xine-pulse and vlc-plugin-pulse) so that this integration works as intended and avoids this code path.
Comment 16 Mikko C. 2010-04-30 11:29:22 UTC
*** Bug 235547 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2010-05-03 09:45:43 UTC
*** Bug 235905 has been marked as a duplicate of this bug. ***
Comment 18 Myriam Schweingruber 2010-05-03 09:46:55 UTC
Confirmed by duplicate.
Comment 19 Colin Guthrie 2010-05-03 10:07:35 UTC
OK, I'll admit I'm getting confused here. The scenario described by the backtrace should be impossible with a good setup but I also got this Mandriva bug at the weekend: https://qa.mandriva.com/show_bug.cgi?id=59052 which points at a similar backtrace within a setup that I do not see how it should happen.

I will try and investigate more thoroughly.
Comment 20 Christoph Feck 2010-05-03 16:45:36 UTC
*** Bug 236174 has been marked as a duplicate of this bug. ***
Comment 21 Christoph Feck 2010-05-04 13:06:51 UTC
*** Bug 236266 has been marked as a duplicate of this bug. ***
Comment 22 Mikko C. 2010-05-07 09:52:13 UTC
*** Bug 236668 has been marked as a duplicate of this bug. ***
Comment 23 Oleg Atamanenko 2010-05-08 18:45:46 UTC
Created attachment 43373 [details]
New crash information added by DrKonqi

new trace added for Kaffeine crash.
Comment 24 Oleg Atamanenko 2010-05-08 18:45:47 UTC
Created attachment 43374 [details]
New crash information added by DrKonqi

new trace added for Kaffeine crash.
Comment 25 Markus 2010-05-09 01:42:56 UTC
Created attachment 43380 [details]
New crash information added by DrKonqi

KDE crashed with Ubuntu 10.04 (Lucid Lynx) right after login.
Comment 26 Colin Guthrie 2010-05-09 10:22:21 UTC
OK, there is definitely some problem here, but it's a really tricky one to try and nail down. I think we've got enough backtraces tho', so please don't bother posting any more for now.

While I previously commented that this setup is one that shouldn't happen, it obviously does happen somehow :s

KNotify seems a fairly common theme here although Oleg's Kaffine problem seems to be another trigger case.

I also have this problem reported in Mandriva (an environment I know is setup correctly) https://qa.mandriva.com/show_bug.cgi?id=59052 so I will try and work out what is going on and find a solution.

The strange thing is that the backtrace calls indicate that the code follows a path that shouldn't be possible with PA enabled :s
Comment 27 Colin Guthrie 2010-05-09 13:05:48 UTC
Hi everyone.

First of all, I am really struggling to reproduce this error. I suspect the problem is such that the PA connection is attempted but somehow fails. The reasons I suspect for this is due to the general mele that is the startup process.

From what I can gather, most of the problems happen here at startup (although there may be some exceptions to that rule). I suspect that during startup, the application in question (typically some form of knotify) is competing with for disk activity and CPU time. PulseAudio has not yet started, and thus when we try to connect it will try and autospawn. However, another process (perhaps the XDG autostart or another app that wants PA too) is starting at the same time and has grabbed the autospawn lock.

When this happens the user who tried to autospawn but could not grab the lock fails and the overall connection fails and thus we continue assuming PA is not available.

Now due to the nature of the Phonon support for PulseAudio, we actually sometimes start two connections (or rather three connections, but only two potentially at the same time): One for the backend itself to do the output and one for our "control" connection to PA. That said, I don't *think* these two connections can race with each other for the autospawn lock, but certainly during startup, this situation could occur with other processes.

I'm not overly sure how to resolve this best right now. I suspect something inside PA that detects when an autospawn was not possible due to lock and then waits for a little while and then simply tries to connect again seems like a likely solution, but I need to discuss this with people.

If someone who can reproduce this problem could do the following for me it would be appreciated.

1. Turn up PA debugging to "debug" in /etc/pulse/daemon.conf. It should be logging to syslog.
2. Put "export PHONON_PULSEAUDIO_DEBUG=3" into your ~/.bashrc
3. Capture the output the above produces while you reproduce the error.

While it will be tricky to interpret the output from 3 as the PID is not part of that message, it may still help confirm/deny my hypothesis.

Thanks.

In order to kno
Comment 28 Christoph Feck 2010-05-09 13:11:37 UTC
*** Bug 236919 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2010-05-09 13:12:10 UTC
*** Bug 236928 has been marked as a duplicate of this bug. ***
Comment 30 Colin Guthrie 2010-05-09 16:01:08 UTC
FWIW, the PA debug output itself (1. in comment #27) is probably the most interesting I'm specifically interested in if there are log messages relating to autospawn locks.
Comment 31 Christoph Feck 2010-05-09 19:35:36 UTC
*** Bug 237003 has been marked as a duplicate of this bug. ***
Comment 32 Adam Porter 2010-05-10 01:38:13 UTC
Created attachment 43417 [details]
New crash information added by DrKonqi

Seems like the same bug.     :/  Crashing whenever Kopete gets a message.  It doesn't always do it, but at the moment it is always doing it.  I do have another X session with another user account on another VT; I don't know if that's related to the problem.
Comment 33 Christoph Feck 2010-05-11 22:30:24 UTC
*** Bug 237216 has been marked as a duplicate of this bug. ***
Comment 34 Christoph Feck 2010-05-11 22:33:42 UTC
*** Bug 237297 has been marked as a duplicate of this bug. ***
Comment 35 Adam Porter 2010-05-11 22:56:21 UTC
When I first installed Kubuntu Lucid on this laptop a few days ago, it was working fine.  Now KNotify is crashing every time Kopete gets a message.  I don't have any other sessions on any other VTs right now, so that's not the cause.  I even went into the System Settings and put PulseAudio at the top of the preference list for Notifications, and it works fine when I click the Test button in those settings, but it still crashes every time Kopete gets a message.  I don't know what changed since I installed Kubuntu to cause this.
Comment 36 Adam Porter 2010-05-11 23:09:39 UTC
Created attachment 43493 [details]
New crash information added by DrKonqi

Another backtrace.

(How much "more" do I have to type for this bug reporter to ALLOW me to submit this?  Sheesh.)
Comment 37 Adam Porter 2010-05-11 23:28:41 UTC
Created attachment 43494 [details]
log as requested

Log of pulseaudio debug info when message is received in Kopete
Comment 38 Colin Guthrie 2010-05-12 10:28:31 UTC
Thanks for the debug Adam. What is odd here is that I see two native connections from knotify (which I presume are the phonon control connections, but then I do not see any further connection after that, with the exception of the alsa plugin connection from knotify.

What this seems to smell off is that the gstreamer pulseaudio backend is not available. When the GStreamer backend loads, it tries to enable pulseaudio (which establishes first a "probe" connection to check if it is available, and then, if it's successful, it will disconnect and then reconnect with a "control" connection).

But, if in the process of trying to enable PA, the backend decides it can't handle it (e.g. the specific "pulsesink" for gstreamer is not available) then it will simply not use PA.

In this mode it should all nicely fallback, but perhaps there are some things that will not work.

I can see that there are cases where "objectDescriptionChanged" signal is still emitted even when PA is not "active" (where active means both running and has backend support). (the "usingDevice", "volumeChanged" and "muteChanged" signals should never be emitted when PA is not "active" so that shouldn't be a problem)

Adam, can you do me a favour?

Can you do the following for me:
 1. Check to see whether you have the file /usr/lib64/gstreamer-0.10/libgstpulse.so on your system (note your path may be different to mine, check /usr/lib/ and also check for different variations on "gstreamer-0.10" too. The important part is that libgstpulse.so is installed.
 2. Run "PHONON_GST_DEBUG=3 PHONON_PULSEAUDIO_DEBUG=3 kcmshell4 kcm_phonon" and post the debug output and tell me how the device list looks. You should see the same list of devices (exactly the same) as in pavucontrol. If you see the world "PulseAudio" in amongst other devices please let me know. If in doubt, just attach a screenshot.


I think this is ultimately boiling back down to my original statement way up above. I'm being slightly clouded here by the fact I've got a bug report in Mandriva where I am pretty certain the setup is correct, but I could be wrong still. The above debug could help me work that out. I can probably shuffle things around in the code a bit and put in some safeguards against emitting signals when not enabled which is certainly sensible.
Comment 39 Colin Guthrie 2010-05-12 12:49:42 UTC
I managed to CCBUG the wrong bug in a bunch of commits :( (used the mdv bug # not this one :'()

Doing it manually now.
Comment 40 Colin Guthrie 2010-05-12 12:50:26 UTC
commit fae4a67a16b9907708c940c1ea72ec1a0eaf7bb9
Author: Colin Guthrie <cguthrie@mandriva.org>
Date:   Wed May 12 10:03:59 2010 +0100

    pulse: Some signal emission protection and some debug tweaks.

    This commit ensures that the objectDescriptionChanged signal is only
emitted
    when PA is active. If we try to connect, succeed, but the backend
ultimately
    cannot support PA, we fail.

    At present the GST backend operates a 'hit and hope' policy
    with regards to the pulsesink. This needs to be tightened up.

    Also added is extra debug info when the support is enabled
    and a new debug method which is not called anywhere but can
    be useful when debugging code.

    CCBUG: 59052 <-- Wrong

diff --git a/phonon/pulsesupport.cpp b/phonon/pulsesupport.cpp
index e85abd5..769d7e1 100644
--- a/phonon/pulsesupport.cpp
+++ b/phonon/pulsesupport.cpp
@@ -666,6 +666,19 @@ void PulseSupport::shutdown()
     }
 }

+void PulseSupport::debug()
+{
+#ifdef HAVE_PULSEAUDIO
+    logMessage(QString("Have we been initialised yet? %1").arg(s_instance ?
"Yes" : "No"));
+    if (s_instance) {
+        logMessage(QString("Connected to PulseAudio? %1").arg(s_pulseActive ?
"Yes" : "No"));
+        logMessage(QString("PulseAudio support 'Active'?
%1").arg(s_instance->isActive() ? "Yes" : "No"));
+    }
+#else
+    logMessage("PulseAudio support not available.");
+#endif
+}
+
 PulseSupport::PulseSupport()
  : QObject(), mEnabled(false)
 {
@@ -780,7 +793,6 @@ void PulseSupport::connectToDaemon()
 bool PulseSupport::isActive()
 {
 #ifdef HAVE_PULSEAUDIO
-    //logMessage(QString("Enabled Breakdown: mEnabled: %1, s_pulseActive
%2").arg(mEnabled).arg(s_pulseActive));
     return mEnabled && s_pulseActive;
 #else
     return false;
@@ -790,6 +802,9 @@ bool PulseSupport::isActive()
 void PulseSupport::enable(bool enabled)
 {
     mEnabled = enabled;
+#ifdef HAVE_PULSEAUDIO
+    logMessage(QString("Enabled Breakdown: mEnabled: %1, s_pulseActive
%2").arg(mEnabled ? "Yes" : "No" ).arg(s_pulseActive ? "Yes" : "No"));
+#endif
 }

 QList<int> PulseSupport::objectDescriptionIndexes(ObjectDescriptionType type)
const
@@ -997,7 +1012,8 @@ PulseStream *PulseSupport::registerCaptureStream(QString
streamUuid, Category ca

 void PulseSupport::emitObjectDescriptionChanged(ObjectDescriptionType type)
 {
-    emit objectDescriptionChanged(type);
+    if (mEnabled)
+        emit objectDescriptionChanged(type);
 }

 bool PulseSupport::setOutputName(QString streamUuid, QString name) {
diff --git a/phonon/pulsesupport.h b/phonon/pulsesupport.h
index dc08330..d78ac64 100644
--- a/phonon/pulsesupport.h
+++ b/phonon/pulsesupport.h
@@ -66,6 +66,7 @@ namespace Phonon
             //    or phonon supports capture properly... which ever comes
first.
             void clearStreamCache(QString streamUuid);

+            static void debug();
         public slots:
             void connectToDaemon();
Comment 41 Colin Guthrie 2010-05-12 12:50:56 UTC
commit 70babff2d8f27828c5912a879538d04a756fc86c
Author: Colin Guthrie <cguthrie@mandriva.org>
Date:   Wed May 12 10:43:23 2010 +0100

    gstreamer: Rejig the PulseAudio detection and handling a little.

    Attempt to make the PulseAudio initialisation in GStreamer a bit more
robust.
    Validate the initial sink usage if it comes from either env var or settings
    against the known status of PA (is it running or not) and only ever try a
    'pulsesink' if it is running, with 'auto' favouring 'pulsesink' when
    PA is running.

    When trying to open the device fails when PA is running we change back
    to 'auto' and try again. This handles the case when the GStreamer
    'pulsesink' is not available (which is hard as it's a -good plugin
    these days).

    CCBUG: 59052 <-- Wrong

diff --git a/gstreamer/devicemanager.cpp b/gstreamer/devicemanager.cpp
index c3826eb..6485094 100644
--- a/gstreamer/devicemanager.cpp
+++ b/gstreamer/devicemanager.cpp
@@ -82,13 +82,21 @@ DeviceManager::DeviceManager(Backend *backend)

     PulseSupport *pulse = PulseSupport::getInstance();
     m_audioSink = qgetenv("PHONON_GST_AUDIOSINK");
-    if (m_audioSink.isEmpty()) {
+    if (m_audioSink.isEmpty())
         m_audioSink = settings.value(QLatin1String("audiosink"),
"Auto").toByteArray().toLower();
-        if (m_audioSink == "auto" && pulse->isActive())
-            m_audioSink = "pulsesink";
-    }
-    if ("pulsesink" != m_audioSink)
+
+    if ("pulsesink" == m_audioSink && !pulse->isActive()) {
+        // If pulsesink is specifically requested, but not active, then
+        // fall back to auto.
+        m_audioSink = "auto";
+    } else if (m_audioSink == "auto" && pulse->isActive()) {
+        // We favour specific PA support if it's active and we're in 'auto'
mode
+        // (although it may still be disabled if the pipeline cannot be made)
+        m_audioSink = "pulsesink";
+    } else if (m_audioSink != "pulsesink") {
+        // Otherwise, PA should not be used.
         pulse->enable(false);
+    }

     m_videoSinkWidget = qgetenv("PHONON_GST_VIDEOMODE");
     if (m_videoSinkWidget.isEmpty()) {
@@ -234,9 +242,19 @@ GstElement *DeviceManager::createAudioSink(Category
category)
             sink = gst_element_factory_make (m_audioSink, NULL);
             if (canOpenDevice(sink))
                 m_backend->logMessage(QString("AudioOutput using
%0").arg(QString::fromUtf8(m_audioSink)));
-            else if (sink) {
-                gst_object_unref(sink);
-                sink = 0;
+            else {
+                if (sink) {
+                    gst_object_unref(sink);
+                    sink = 0;
+                }
+                if ("pulsesink" == m_audioSink) {
+                    // We've tried to use PulseAudio support, but the GST
plugin
+                    // doesn't exits. Let's try again, but not use PA support
this time.
+                    m_backend->logMessage("PulseAudio support failed. Falling
back to 'auto'");
+                    PulseSupport::getInstance()->enable(false);
+                    m_audioSink = "auto";
+                    sink = createAudioSink();
+                }
             }
         }
     }
Comment 42 Colin Guthrie 2010-05-12 12:51:32 UTC
commit 67b424626866d1a4b2e80c3e93698456042889fc
Author: Colin Guthrie <cguthrie@mandriva.org>
Date:   Wed May 12 10:55:37 2010 +0100

    gstreamer: Move some code inside pointer protection.

    This can only happen if asserts are disabled, so this is somewhat
    unlikely, but it's better to be safe.

    This is unlikely to be related to the bug #59052, but in the event
    that PA is running but both 'pulsesink' and 'fakesink' cannot be
    created AND asserts are disabled, then this could cause some issues.

    CCBUG: 59052 <-- Wrong

diff --git a/gstreamer/devicemanager.cpp b/gstreamer/devicemanager.cpp
index 6485094..3b0d4c3 100644
--- a/gstreamer/devicemanager.cpp
+++ b/gstreamer/devicemanager.cpp
@@ -392,10 +392,10 @@ void DeviceManager::updateDeviceList()
                 }
             }
         }
-    }

-    gst_element_set_state (audioSink, GST_STATE_NULL);
-    gst_object_unref (audioSink);
+        gst_element_set_state (audioSink, GST_STATE_NULL);
+        gst_object_unref (audioSink);
+    }
 }

 /**
Comment 43 Colin Guthrie 2010-05-12 12:53:35 UTC
OK, so if my comments in comment #38 are on the right track, these patches may help. If this is the case, then it points very firmly at a configuration/integration problem.

Feedback welcome
Comment 44 Christoph Feck 2010-05-12 23:43:53 UTC
*** Bug 237442 has been marked as a duplicate of this bug. ***
Comment 45 Adam Porter 2010-05-13 01:39:57 UTC
Colin, here's the debug output and a screenshot.  I think the last few
lines only appeared after I clicked OK.  Thanks for your help on this.

$ PHONON_GST_DEBUG=3 PHONON_PULSEAUDIO_DEBUG=3 kcmshell4 kcm_phonon
"PGST(2): Using GStreamer 0.10.28"
"PGST(2): AudioOutput using alsa audio sink"
"PGST(3): Found new audio device default  (DeviceManager 0x2a4a090)"
"PGST(2): AudioOutput using alsa audio sink"
"PGST(3): Found new audio device hw:0,0  (DeviceManager 0x2a4a090)"
"PGST(2): AudioOutput using alsa audio sink"
"PGST(3): Found new audio device hw:0,1  (DeviceManager 0x2a4a090)"
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed:
No such file or directory
QFileSystemWatcher: failed to add paths: /home/me/.config/ibus/bus
Bus::open: Can not get ibus-daemon's address.
IBusInputContext::createInputContext: no connection to ibus-daemon

On Wed, May 12, 2010 at 03:28, Colin Guthrie <cguthrie@mandriva.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
>
>
>
> --- Comment #38 from Colin Guthrie <cguthrie mandriva org>  2010-05-12 10:28:31 ---
> Thanks for the debug Adam. What is odd here is that I see two native
> connections from knotify (which I presume are the phonon control connections,
> but then I do not see any further connection after that, with the exception of
> the alsa plugin connection from knotify.
>
> What this seems to smell off is that the gstreamer pulseaudio backend is not
> available. When the GStreamer backend loads, it tries to enable pulseaudio
> (which establishes first a "probe" connection to check if it is available, and
> then, if it's successful, it will disconnect and then reconnect with a
> "control" connection).
>
> But, if in the process of trying to enable PA, the backend decides it can't
> handle it (e.g. the specific "pulsesink" for gstreamer is not available) then
> it will simply not use PA.
>
> In this mode it should all nicely fallback, but perhaps there are some things
> that will not work.
>
> I can see that there are cases where "objectDescriptionChanged" signal is still
> emitted even when PA is not "active" (where active means both running and has
> backend support). (the "usingDevice", "volumeChanged" and "muteChanged" signals
> should never be emitted when PA is not "active" so that shouldn't be a problem)
>
> Adam, can you do me a favour?
>
> Can you do the following for me:
>  1. Check to see whether you have the file
> /usr/lib64/gstreamer-0.10/libgstpulse.so on your system (note your path may be
> different to mine, check /usr/lib/ and also check for different variations on
> "gstreamer-0.10" too. The important part is that libgstpulse.so is installed.
>  2. Run "PHONON_GST_DEBUG=3 PHONON_PULSEAUDIO_DEBUG=3 kcmshell4 kcm_phonon" and
> post the debug output and tell me how the device list looks. You should see the
> same list of devices (exactly the same) as in pavucontrol. If you see the world
> "PulseAudio" in amongst other devices please let me know. If in doubt, just
> attach a screenshot.
>
>
> I think this is ultimately boiling back down to my original statement way up
> above. I'm being slightly clouded here by the fact I've got a bug report in
> Mandriva where I am pretty certain the setup is correct, but I could be wrong
> still. The above debug could help me work that out. I can probably shuffle
> things around in the code a bit and put in some safeguards against emitting
> signals when not enabled which is certainly sensible.
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 46 Colin Guthrie 2010-05-13 01:43:05 UTC
Hi Adam,

Your screenshot did not come through (you have to attach it to the bug rather than reply to the mail), but the debug output is clear: You do not have pulseaudio support compiled into your phonon package. What distro is this? They need to fix that.
Comment 47 Adam Porter 2010-05-13 01:46:23 UTC
Created attachment 43524 [details]
screenshot
Comment 48 Adam Porter 2010-05-13 01:47:34 UTC
Sorry about that.  I thought bugzilla could handle an email well.  :)

I am using Kubuntu Lucid 10.04.  It comes with PulseAudio by default.  It seems strange that such a bug would be in here by default.  I don't remember this crash happening for the first few days after installing it, but I don't know what could have changed to cause it.
Comment 49 Colin Guthrie 2010-05-13 01:56:49 UTC
Well it's quite clear from both the log output and the screenshot that their phonon package does not actually include support from PA. In the past I helped someone debug their problems so I presumed all was now well, but I guess not.

AFAIK, they do not build a separate phonon package like most distros but instead patch their Qt to include the latest changes from git. However, in doing so they neglected to define the necessary variable in the CMakefile (-DHAVE_PULSEAUDIO IIRC) and thus it was compiled sans-PA support. From the looks of things here, this seems to be the same problem. Please submit a bug report to your distro to fix their broken packages!
Comment 50 Adam Porter 2010-05-13 02:14:56 UTC
Colin, it seems that you're right.  I found this bug in Launchpad:

https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/557514

I don't know enough about the Phonon packaging to understand it all, but the Kubuntu devs mention problems with KDE Phonon vs. Qt Phonon.

I think this crash started happening after I also installed GNOME/Ubuntu packages, whereas before I only had KDE/Kubuntu packages.  I will try removing the PulseAudio packages and see if it helps as a workaround.

This whole situation is sad, though.
Comment 51 Adam Porter 2010-05-13 02:33:32 UTC
I removed PulseAudio and put "default" at the top of the device lists, and now it's working fine again, no more KNotify4 crashes.  Haven't tested sound in GNOME again yet.

I don't know if this bug should be closed and blamed on Kubuntu, or if there is something to their points about KDE Phonon vs. Qt Phonon.  I guess that's over my head.
Comment 52 Colin Guthrie 2010-05-13 10:13:43 UTC
Well this is not a Kubuntu only bug. Some Arch users have also commented AFACT. Perhaps it's the same problem there, but without more debug I can't say.

I have had a single bug report with a similar backtrace on Mandriva so I'm not totally ruling out a potential problem cropping up in some racey situation (typically startup failure I would think). But certainly it's very hard to debug this issue when I can't reproduce on my own system which I know to be setup correctly. So until the Kubuntu guys manage to fix their packages and until the Arch guys can come back with more debug, I'll put this on the back burner in terms of what I'm actively looking at. I've spent several hours chasing this down and am quite annoyed to hear that the Kubuntu packages are so broken because I've told them about this before and I'm not exactly a hard person to reach if they want to ask for advice. Ubunutu was widely criticised for their poor integration of PA in their last LTS and now it seems Kubuntu is doing the same in this LTS :(
Comment 53 Adam Porter 2010-05-14 09:22:10 UTC
Colin, I just want to say thanks for your time on this bug, even if it's not fixable right now.
Comment 54 Chris Fraser 2010-05-16 08:18:22 UTC
Just adding that the same crashes occured for me on arch using kde 4.4.3 with the phonon 4.4.1 + gstreamer package + pulse. Pulseaudio setup as in the wiki, with the pcm.phononpulse added so that pulseaudio would appear in phonon.

However after installing phonon-git from aur, My device list in phonon got replaced with a lovely set from pulseaudio, complete with my network computers. Works awesomely, no crashes anymore.
Comment 55 Colin Guthrie 2010-05-16 13:18:45 UTC
(In reply to comment #54)
> However after installing phonon-git from aur, My device list in phonon got
> replaced with a lovely set from pulseaudio, complete with my network computers.
> Works awesomely, no crashes anymore.

Exactly :) That's how it should look if the packages are integrated/compiled correctly!
Comment 56 Christoph Feck 2010-05-19 00:43:53 UTC
*** Bug 237744 has been marked as a duplicate of this bug. ***
Comment 57 Christoph Feck 2010-05-19 00:44:45 UTC
*** Bug 237950 has been marked as a duplicate of this bug. ***
Comment 58 Christoph Feck 2010-05-20 18:31:33 UTC
*** Bug 238188 has been marked as a duplicate of this bug. ***
Comment 59 Christoph Feck 2010-05-20 18:34:21 UTC
*** Bug 238114 has been marked as a duplicate of this bug. ***
Comment 60 valery.pipin 2010-05-20 20:36:42 UTC
Created attachment 43757 [details]
New crash information added by DrKonqi

knotify fault on login, 4.4.3 (KDE 4.4.3)
Comment 61 Brian Johnson 2010-05-23 01:47:08 UTC
Created attachment 43813 [details]
New crash information added by DrKonqi

I've been a strong supporter/user of Linux for many years - most recently with Ubuntu - and, up to now, very happy with it (especially the JEOS flavour for servers)...

And, up to now, been quite happy with the GNOME environment...

However, following my upgrade to Ubu 10.04 this evening, I decided to give KDE a quick look (not having done so in a couple of years from within Madrake v8)...

And this bug hit me on first login - and I can't get anywhere near the system settings to return to using GNOME (this issue, from the bug notes, clearly not going to be solved soon - and, being 'default' behaviour, not for any but the stalwart console-jockeys to address)...

Apologies for not being able to contribute anything 'useful' to this report (unless you can sift anything pertinent from my back-trace), but perhaps it's worth changing the 'default' behaviour away from the current - as it seems you have a bit of a 'cascade' going on...

...and nobody want to see this hit any production environments, do we - even "by accident" from a minor technician 'under pressure' to 'just get things done' by their boss...

[note: the above is purely hypothetical - but somewhere in this crazy world *someone* is gonna do it - lol - either way, last thing anyone wants is for new installations to persistently fail; requiring a technician to console-dive]

Good luck finding the cure - I'm back to live amongst the Elves...

...sorry, I meant Gnomes ;-P

Kind regards,
Brian
Comment 62 valery.pipin 2010-05-23 03:46:57 UTC
(In reply to comment #60)
> Created an attachment (id=43757) [details]
> New crash information added by DrKonqi
> 
> knotify fault on login, 4.4.3 (KDE 4.4.3)

I forgot to mention that it was on new Ubuntu 10.04 and macbook pro5.5.
I cured it with removing ~/.kde ~/.kde4 and by switch to phonon-xine backend
Comment 63 Martin Sandsmark 2010-05-23 04:36:15 UTC
Please keep comments relevant and to a minimum. People working on Phonon are doing so in their spare time, and as a hobby, and the less noise the easier it is to sift through this.

Also, since it seems like it is fixed in git (re: comment 54), so we should get a new version out soon.
Comment 64 Colin Guthrie 2010-05-23 09:54:47 UTC
@Brian as Martin pointed out, this very much appears to be a problem with the [k]ubuntu packages for Phonon in that they do not implement proper PA support. Therefore complaining on a KDE bug trackers is not the right approach. Take your complaint to the Kubuntu guys.

I'm beginning to wonder if the underlying problem could be related to the kded module which probes alsa directly... it may be freeing something it shouldn't which in turn leads to this problem as seen in the gst backend... I'll need to ask some folks about that. I'm not ruling out a bug in GST itself too, but that would likely have been apparent elsewhere too.

Although this bug is totally avoided when compiled to support PA properly, it would still be nice to fix the actual cause of the crash too.
Comment 65 Mikko C. 2010-05-23 10:01:40 UTC
*** Bug 238552 has been marked as a duplicate of this bug. ***
Comment 66 arkaitz 2010-05-25 12:49:48 UTC
Created attachment 43872 [details]
New crash information added by DrKonqi

Application: KNotify (knotify4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f262ef44760 (LWP 2720))]

Thread 2 (Thread 0x7f261c17b710 (LWP 2728)):
#0  0x00007f262c6c8f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f26214c641f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f26214b5d86 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f26214b7809 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f26214b78c0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f26214c621b in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f26212850e8 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#7  0x00007f262ad989ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#8  0x00007f262c6d569d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f262ef44760 (LWP 2720)):
[KCrash Handler]
#5  0x00007f2623f9de49 in ?? () from /usr/lib/libasound.so.2
#6  0x00007f2623f60b15 in snd_pcm_close () from /usr/lib/libasound.so.2
#7  0x00007f26218e86ff in ?? () from /usr/lib/gstreamer-0.10/libgstalsa.so
#8  0x00007f2622b603c6 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#9  0x00007f2622b53ecb in gst_ring_buffer_close_device () from /usr/lib/libgstaudio-0.10.so.0
#10 0x00007f2622b5bca6 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#11 0x00007f26233ff18c in gst_element_change_state (element=0x1c8aa90, transition=0) at gstelement.c:2548
#12 0x00007f26234021bb in gst_element_set_state_func (element=0x1c89400, state=GST_STATE_NULL) at gstelement.c:2504
#13 0x00007f2623bf99aa in Phonon::Gstreamer::AudioOutput::setOutputDevice (this=0x1c87f40, newDevice=<value optimized out>) at ../../gstreamer/audiooutput.cpp:217
#14 0x00007f262e4da010 in callSetOutputDevice (this=0x1c60730) at ../3rdparty/phonon/phonon/audiooutput.cpp:67
#15 Phonon::AudioOutputPrivate::setupBackendObject (this=0x1c60730) at ../3rdparty/phonon/phonon/audiooutput.cpp:281
#16 0x00007f262e4da6f0 in Phonon::AudioOutputPrivate::createBackendObject (this=0x1c60730) at ../3rdparty/phonon/phonon/audiooutput.cpp:124
#17 0x00007f262e4d6eea in Phonon::AudioOutputPrivate::init (this=0x1c60730, c=<value optimized out>) at ../3rdparty/phonon/phonon/audiooutput.cpp:106
#18 0x00007f262e4d759d in AudioOutput (this=0x1c60700, category=Phonon::NotificationCategory, parent=0x0) at ../3rdparty/phonon/phonon/audiooutput.cpp:76
#19 0x000000000040d101 in Player (this=0x1c4ce68) at ../../knotify/notifybysound.cpp:59
#20 PlayerPool::getPlayer (this=0x1c4ce68) at ../../knotify/notifybysound.cpp:99
#21 0x000000000040d63e in NotifyBySound::notify (this=0x1c47eb0, eventId=1, config=0x7fff3d308190) at ../../knotify/notifybysound.cpp:243
#22 0x0000000000408d63 in KNotify::emitEvent (this=0x7fff3d309490, e=0x1c1dbf0) at ../../knotify/knotify.cpp:179
#23 0x0000000000409022 in KNotify::event (this=0x7fff3d309490, event=<value optimized out>, appname=<value optimized out>, contexts=<value optimized out>, title=<value optimized out>, 
    text=<value optimized out>, image=..., actions=..., timeout=-1, winId=0) at ../../knotify/knotify.cpp:128
#24 0x000000000040935f in KNotifyAdaptor::event (this=0x1c4e3d0, event=..., fromApp=..., contexts=<value optimized out>, title=..., text=<value optimized out>, image=..., actions=..., timeout=-1, 
    winId=0) at ../../knotify/knotify.cpp:236
#25 0x000000000040a03b in KNotifyAdaptor::qt_metacall (this=0x1c4e3d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff3d308720) at ./knotify.moc:227
#26 0x00007f262ddc3486 in QDBusConnectionPrivate::deliverCall (this=<value optimized out>, object=<value optimized out>, msg=<value optimized out>, metaTypes=..., slotIdx=<value optimized out>)
    at qdbusintegrator.cpp:904
#27 0x00007f262ddc46ef in QDBusConnectionPrivate::activateCall (this=<value optimized out>, object=0x1c4e3d0, flags=273, msg=...) at qdbusintegrator.cpp:809
#28 0x00007f262ddc51cd in QDBusConnectionPrivate::activateObject (this=<value optimized out>, node=<value optimized out>, msg=..., pathStartPos=<value optimized out>) at qdbusintegrator.cpp:1364
#29 0x00007f262ddc5468 in QDBusActivateObjectEvent::placeMetaCall (this=0x1c4edf0) at qdbusintegrator.cpp:1477
#30 0x00007f262da99d49 in QObject::event (this=0x7fff3d309490, e=0x1c4edf0) at kernel/qobject.cpp:1248
#31 0x00007f262ce4322c in QApplicationPrivate::notify_helper (this=0x1bb7740, receiver=0x7fff3d309490, e=0x1c4edf0) at kernel/qapplication.cpp:4300
#32 0x00007f262ce496fb in QApplication::notify (this=0x7fff3d3094c0, receiver=0x7fff3d309490, e=0x1c4edf0) at kernel/qapplication.cpp:4183
#33 0x00007f262e944526 in KApplication::notify (this=0x7fff3d3094c0, receiver=0x7fff3d309490, event=0x1c4edf0) at ../../kdeui/kernel/kapplication.cpp:302
#34 0x00007f262da8a06c in QCoreApplication::notifyInternal (this=0x7fff3d3094c0, receiver=0x7fff3d309490, event=0x1c4edf0) at kernel/qcoreapplication.cpp:704
#35 0x00007f262da8c7e7 in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x1b93c20) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#36 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x1b93c20) at kernel/qcoreapplication.cpp:1345
#37 0x00007f262dab39d3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#38 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:276
#39 0x00007f26296d08c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#40 0x00007f26296d4748 in ?? () from /lib/libglib-2.0.so.0
#41 0x00007f26296d48fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#42 0x00007f262dab3513 in QEventDispatcherGlib::processEvents (this=0x1b93760, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#43 0x00007f262cef346e in QGuiEventDispatcherGlib::processEvents (this=0x1c8aa90, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#44 0x00007f262da88992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#45 0x00007f262da88d6c in QEventLoop::exec (this=0x7fff3d3093e0, flags=) at kernel/qeventloop.cpp:201
#46 0x00007f262da8caab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#47 0x0000000000407f4f in main (argc=<value optimized out>, argv=<value optimized out>) at ../../knotify/main.cpp:73
Comment 67 Christoph Feck 2010-05-25 21:46:43 UTC
*** Bug 238709 has been marked as a duplicate of this bug. ***
Comment 68 PC LX 2010-05-26 00:15:55 UTC
Created attachment 43893 [details]
New crash information added by DrKonqi

Knotify crashes at desktop startup, without user intervention.
Comment 69 Frank Reininghaus 2010-05-26 20:07:10 UTC
*** Bug 238918 has been marked as a duplicate of this bug. ***
Comment 70 Myriam Schweingruber 2010-05-27 11:59:38 UTC
*** Bug 237862 has been marked as a duplicate of this bug. ***
Comment 71 Myriam Schweingruber 2010-05-27 12:01:35 UTC
*** Bug 238974 has been marked as a duplicate of this bug. ***
Comment 72 jonathan 2010-05-27 18:58:00 UTC
Created attachment 43949 [details]
New crash information added by DrKonqi

knotify4 apparrait au demarage et je n'ai aucun sons sous kubuntu
Comment 73 Anselmo L. S. Melo (anselmolsm) 2010-05-28 00:32:46 UTC
*** Bug 239057 has been marked as a duplicate of this bug. ***
Comment 74 Christoph Feck 2010-05-31 12:03:03 UTC
*** Bug 240181 has been marked as a duplicate of this bug. ***
Comment 75 Christoph Feck 2010-05-31 12:05:07 UTC
*** Bug 240162 has been marked as a duplicate of this bug. ***
Comment 76 Colin Guthrie 2010-05-31 12:30:25 UTC
Just to try and narrow down the cause of this problem, could some folk please try moving the KDE phonon platform plugin out of the way temporarily. It also does alsa device enumeration and calls function such as snd_device_name_free_hint() and snd_config_update_free_global() which may not play nice in multi-threaded environments.

To test this, try and work out a reliable trigger case and confirm it can trigger it, then rename the file:
 /usr/lib64/kde4/plugins/phonon_platform/kde.so
or
 /usr/lib/kde4/plugins/phonon_platform/kde.so

To something else. This should prevent the Phonon Platform plugin loading (it could in theory cause a different crash but I think it's well protected from my memory of that code).

The file itself may be packaged in a different directory on your system, so you may have to look around for it.

The device lists in Phonon will likely look different without this plugin, but it will hopefully still work. Then see if you can trigger the crash again.

Thanks.
Comment 77 Nicolas L. 2010-06-02 08:52:31 UTC
*** Bug 240428 has been marked as a duplicate of this bug. ***
Comment 78 Frank Reininghaus 2010-06-02 17:13:34 UTC
*** Bug 240477 has been marked as a duplicate of this bug. ***
Comment 79 Nicolas L. 2010-06-03 10:21:44 UTC
*** Bug 240562 has been marked as a duplicate of this bug. ***
Comment 80 Jon Nelson 2010-06-03 18:27:21 UTC
When using a pulseaudio-native phonon, all my sound issues go away!

I love it!
Comment 81 PC LX 2010-06-03 18:54:02 UTC
As requested, renamed the file /usr/lib64/kde4/plugins/phonon_platform/kde.so (to kde.so.bak), restarted the KDE4 session, and the crash did not happen. Restarted the session and the system a few more times and no crash happened. Renamed the file back to its original name, restarted the KDE4 sessions, and still Knotify4 has not crashed.

Before the rename operation, Knotify4 was crashing on every session start. After the rename operation, Knotify4 has not crashed once.

Hope this helps. I can try any other test/ideas.
Comment 82 PC LX 2010-06-03 20:09:25 UTC
I tried the same renaming operation of comment #81 on another system that was having the Knotify4 crashes, and it also stopped having the crashes.
Comment 83 Colin Guthrie 2010-06-03 22:54:54 UTC
@Pedro: Thanks for the tests; it's much appreciated. This is helping to confirm my suspicions that this is some kind of multithreaded issue with ALSA. I believe other backends such as vlc could potentially trigger this bug too (tho' I don't know too much about the threading model of either vlc or gstreamer to be certain on that point).

One reason that renaming it back didn't re-trigger the bug could be to do with disk caching. After a fresh reboot, there will be some IO bottlenecks as the system starts up, which could extend the time frame for some kind of race condition. If this is the case, then the first login would often be affected, but subsequent logins would maybe fair better and avoid the race. So perhaps rebooting after renaming it back (rather than just logging out and back in) may start retriggering it?

Either way, I guess we need to look into the kded module in some capacity.

@Jon: Glad it's working for you :)
Comment 84 Nicolas L. 2010-06-04 11:40:43 UTC
*** Bug 240705 has been marked as a duplicate of this bug. ***
Comment 85 Frank Reininghaus 2010-06-08 21:57:06 UTC
*** Bug 241121 has been marked as a duplicate of this bug. ***
Comment 86 Christoph Feck 2010-06-10 20:08:01 UTC
*** Bug 241334 has been marked as a duplicate of this bug. ***
Comment 87 Frank Reininghaus 2010-06-12 12:05:30 UTC
*** Bug 241403 has been marked as a duplicate of this bug. ***
Comment 88 Christoph Feck 2010-06-13 02:12:38 UTC
*** Bug 241577 has been marked as a duplicate of this bug. ***
Comment 89 Nicolas L. 2010-06-17 13:03:50 UTC
*** Bug 241975 has been marked as a duplicate of this bug. ***
Comment 90 Jerry Ablan 2010-06-18 15:22:41 UTC
Created attachment 48108 [details]
New crash information added by DrKonqi

I was just starting up my machine and got this crash.
Comment 91 steve bartram 2010-06-19 07:59:10 UTC
Created attachment 48129 [details]
New crash information added by DrKonqi

Any notification from Kopete provides the same crash.
NOTE: This did not occur on Kubuntu 9.10, but does occur on Kubuntu 10.4
Comment 92 tlmarris 2010-06-20 14:41:24 UTC
Created attachment 48165 [details]
New crash information added by DrKonqi

tom@Uranus:~$ digikam
kdeinit4: preparing to launch /usr/lib/libkdeinit4_klauncher.so
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kded4.so
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kbuildsycoca4.so
kbuildsycoca4 running...
kbuildsycoca4(3526) KBuildSycoca::checkTimestamps: checking file timestamps
kbuildsycoca4(3526) KBuildSycoca::checkTimestamps: timestamps check ok
kbuildsycoca4(3526) kdemain: Emitting notifyDatabaseChanged ()
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kconf_update.so
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
KCrash: Application 'digikam' crashing...
sock_file=/home/tom/.kde/socket-Uranus/kdeinit4__0
kdeinit4: preparing to launch /usr/lib/kde4/libexec/drkonqi

[1]+  Gepauzeerd              digikam
tom@Uranus:~$
Comment 93 tlmarris 2010-06-20 14:45:07 UTC
Created attachment 48166 [details]
New crash information added by DrKonqi

tom@Uranus:~$ amarok
KCrash: Application 'amarok' crashing...
sock_file=/home/tom/.kde/socket-Uranus/kdeinit4__0
kdeinit4: preparing to launch /usr/lib/kde4/libexec/drkonqi
<unknown program name>(3656)/: Communication problem with  "amarok" , it probably crashed. 
Error message was:  "org.freedesktop.DBus.Error.ServiceUnknown" : " "The name org.kde.amarok was not provided by any .service files" " 

tom@Uranus:~$
Comment 94 Christoph Feck 2010-06-27 17:20:11 UTC
*** Bug 242941 has been marked as a duplicate of this bug. ***
Comment 95 Christoph Feck 2010-07-07 15:55:45 UTC
*** Bug 243850 has been marked as a duplicate of this bug. ***
Comment 96 Christoph Feck 2010-07-11 17:25:50 UTC
*** Bug 244191 has been marked as a duplicate of this bug. ***
Comment 97 Christoph Feck 2010-07-11 17:27:22 UTC
Bug 244191 has full debug information, in case someone upstream wants to analyze the gstreamer/alsa code.
Comment 98 Nicolas L. 2010-07-12 16:32:44 UTC
*** Bug 244298 has been marked as a duplicate of this bug. ***
Comment 99 Christoph Feck 2010-07-13 10:10:40 UTC
*** Bug 244447 has been marked as a duplicate of this bug. ***
Comment 100 Christoph Feck 2010-07-20 22:09:31 UTC
*** Bug 245249 has been marked as a duplicate of this bug. ***
Comment 101 Jonathan Thomas 2010-07-25 15:41:46 UTC
*** Bug 245699 has been marked as a duplicate of this bug. ***
Comment 102 Jonathan Thomas 2010-07-25 15:43:13 UTC
*** Bug 245698 has been marked as a duplicate of this bug. ***
Comment 103 Christoph Feck 2010-07-26 15:11:56 UTC
*** Bug 245766 has been marked as a duplicate of this bug. ***
Comment 104 Jim Lynch 2010-07-26 19:30:59 UTC
Created attachment 49498 [details]
New crash information added by DrKonqi

After login, EVERYTIME. I cannot use the system!  I upgraded from 8.04.  Consider this extremely critical.

Thanks,
Jim.
Comment 105 Colin Guthrie 2010-07-26 20:02:24 UTC
Hi Jim,

If you consider this extremely critical, perhaps you can look over the above comments and aid the debugging effort. I'd be particularly interested in results from moving the kde.so file out of the way.
Comment 106 Jim Lynch 2010-07-26 20:17:00 UTC
I tried the same renaming operation of comment #81 on my system that was
having the Knotify4 crashes, and it did NOT stop having the crashes.  However it is a 32 bit rather than a 64 bit install.  I moved the equivalent file.

Jim
Comment 107 Colin Guthrie 2010-07-26 20:39:26 UTC
Hmm, so the kde.so file is no longer present and the same backtrace results? That is very interesting indeed. No one else has yet to report that, which basically puts things back to square one :( Glad I didn't waste too many days on looking at that route.... time to get the thinking cap back on I guess :(
Comment 108 Jim Lynch 2010-07-26 22:24:34 UTC
Just so you can be sure I'm not crazy or think I did it and somehow didn't (that's always a possibility):

ls /usr/lib/kde4/plugins/phonon_platform
kde.so.bak

Jim
Comment 109 Jim Lynch 2010-07-26 22:31:53 UTC
Also I'm available to test most anything. I'm home most of the time and have free time.  I might not be capable of recompiling kde from scratch, but this system has plenty of disk and is only used as a development platform and my mail/surfing activities.  I'm running gnome, but I'm crippled since a lot of my life depends on KDE. :)

Another observation.  When I reboot into Gnome after the failure, the speaker is muted.  It's not muted when I reboot Gnome after Gnome.
Thanks,
Jim.
Comment 110 Jonathan Thomas 2010-07-27 20:31:41 UTC
*** Bug 245937 has been marked as a duplicate of this bug. ***
Comment 111 Christoph Feck 2010-07-31 11:49:14 UTC
*** Bug 246325 has been marked as a duplicate of this bug. ***
Comment 112 Christoph Feck 2010-07-31 11:49:57 UTC
*** Bug 246333 has been marked as a duplicate of this bug. ***
Comment 113 Christoph Feck 2010-07-31 15:52:59 UTC
*** Bug 246351 has been marked as a duplicate of this bug. ***
Comment 114 Christoph Feck 2010-08-02 15:43:28 UTC
*** Bug 246495 has been marked as a duplicate of this bug. ***
Comment 115 Pino Toscano 2010-08-10 00:46:58 UTC
*** Bug 247186 has been marked as a duplicate of this bug. ***
Comment 116 Christoph Feck 2010-08-13 17:36:26 UTC
*** Bug 247663 has been marked as a duplicate of this bug. ***
Comment 117 Christoph Feck 2010-08-13 17:37:27 UTC
*** Bug 236647 has been marked as a duplicate of this bug. ***
Comment 118 Christoph Feck 2010-08-13 17:38:15 UTC
*** Bug 237286 has been marked as a duplicate of this bug. ***
Comment 119 Myriam Schweingruber 2010-08-14 12:26:21 UTC
*** Bug 239043 has been marked as a duplicate of this bug. ***
Comment 120 Myriam Schweingruber 2010-08-15 09:57:20 UTC
*** Bug 247878 has been marked as a duplicate of this bug. ***
Comment 121 Sebastian Insua-Summerhays 2010-08-15 11:53:55 UTC
I'm the owner of #247878. Which seems to also be this bug. I've also tried to rename kde.so and it has not changed anything...
Comment 122 Colin Guthrie 2010-08-16 10:22:58 UTC
Thanks for the feedback Sebastian.

OK, plan B: I've been able to intermittantly reproduce this, but it's kinda hard to test fixes as I don't know whether the problem is just being intermittant or has actually been solved.

The latest fix I'm trying is related to multi-threading apps and pulse contexts in gst.

If possible, can testers please update to the latest gst-plugins-good (0.10.24) and apply the following two patches on top. I'm just linking to Mandriva SVN as it's simplest to show the patches :D
http://svn.mandriva.com/cgi-bin/viewvc.cgi/packages/cooker/gstreamer0.10-plugins-good/current/SOURCES/?pathrev=570307

I've applied it in Mandriva cooker and I tried to reproduce five times and it failed (after two failures in two attempts before update), so fingers crossed it helps.
Comment 123 claude_hum 2010-08-16 16:46:52 UTC
hello,


on startup i have Kmail and i put it away , so i dind't have this error

Then i started Kmail and the error happens AGAIN!!
so it seems to be an error with Kmail under Gnome.

As i start Kmail with the Terminal i see that a file is missing: 
/usr/share/kde4/services/kded/networkstatus.desktop is missing


I create such an empty file and sine i don't have the Error
Comment 124 Nicolas L. 2010-08-17 14:34:46 UTC
*** Bug 248140 has been marked as a duplicate of this bug. ***
Comment 125 Nicolas L. 2010-08-18 13:40:12 UTC
*** Bug 248238 has been marked as a duplicate of this bug. ***
Comment 126 jim h 2010-08-18 15:41:06 UTC
Nicolas ... I see many duplicates of this bug but is someone working on a  
fix?  Jim

On Wed, 18 Aug 2010 07:40:16 -0400, Nicolas Lécureuil   
<nlecureuil@mandriva.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
> Nicolas Lécureuil <nlecureuil@mandriva.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                             
> |adrian.ioan.cozma@gmail.com
>
>
>
>
> --- Comment #125 from Nicolas Lécureuil <nlecureuil mandriva com>   
> 2010-08-18 13:40:12 ---
> *** Bug 248238 has been marked as a duplicate of this bug. ***
>
Comment 127 Colin Guthrie 2010-08-18 16:01:34 UTC
(In reply to comment #126)
> Nicolas ... I see many duplicates of this bug but is someone working on a  
> fix?  Jim

Please try to trim email replies so as not to spam this already ridiculous bug report with more comments that make it hard to follow!

I've been trying to work on a solution but the problem is that as this issue is a timing-sensitive issue relating to mutli-threaded startup, it is very hard to reproduce in such a way as to get meaningful debug out of it. Whenever I turn on verbose logging, the error doesn't actually happen due to the fact that the logging itself affects the startup speed.

I'm trying some fixes and so far I've not been able to recreate this specific issue, but have created one that fails in the same way but for different reasons. I'm trying to suss things out but it's a very complex issue and so far no one else has really been able to debug it to the same depth, making code changes to test out theories etc.

I'm very much focussed on trying to lick this soon tho' (I've been working on it specifically for the last three days).
Comment 128 Colin Guthrie 2010-08-18 21:32:18 UTC
Some progress:

I have found a reliable way to reproduce this error:
 1. export PHONON_PULSEAUDIO_DISABLE=1
 2. export PHONON_GST_AUDIOSINK=alsasink
 3. dragon somefile.ogg (likely any phonon client will do).

This code then fails miserably with the above backtrace.

Now, interestingly, I find that if I rename the $LIBDIR/kde4/plugins/platform_plugin/kde.so to kde.so.x, it is *still* loaded... I have to chmod the platform_plugin folder it's self to a-x in order to prevent it loading properly (or rename the file to something completely different)

When I do this, the crash does away and sound output works fine.

So I think that my original suggestion, that something in the platform plugin and GST's alsa code is ultimately what causes this crash, *is* actually valid dispite some reports to the contrary above (possibly due to the same rename-kde.so-but-it-still-gets-used that tripped me up).

Now this crash still relies on PA's alsa configuration: namely that pcm.!default is redirected to the alsa->pulse plugin (which is the recommended approach for a PA based sound system).

So... now to work out WTF the platform plugin is doing and if the problem is in it, or in the way the GST code works..... I'm betting on the former.


Now, there is also a wider question: Why does the platform plugin get loaded *at all*? It should be completely disabled when PA is used.

From what I can gather in this regard, there are two possibilities for this:
 1. PulseAudio autospawn does not work and for some reason results in the Phonon PulseSupport class to not connect properly and thus not enable PA mode in phonon. This scenario would cause the platform plugin to be loaded and as alsa is configured for the PA plugin, the crash will happen.
 2. Some form of thread safety problem exists in PulseSupport and two different threads try to use the PulseSupport object simultaneously. If this is the case there is a chance that a race condition exists in the creation of the singleton object. 

Now if the problem is the first one, then I'm pretty confused. There are pretty robust unit tests already in PA that deal with the autospawn lock. 

If it's the second one, then in theory this can be protected by a QMutex with a relatively simple patch.


Now solving the actual crash is obviously very desirable, but we shouldn't forget that the conditions for it to exist are ones that *shouldn't happen* in normal circumstances. If we can reliably solve the problem that leads to the platform plugin being loaded in the first place, then the crash wont happen.

What I'll do next is:
 1. Write a patch that protects the singlton creation with a mutex.
 2. write some more debugging options that will allow better detection of why this bug happens.

Now for the second one to be useful, the conditions for it happening have to occur naturally. My repeatable test case above does not help (it only deals with the crash itself - not the conditions that lead up to it).


Now I hope all of the above makes sense. I hope some people can confirm the crash case for me and that disabling the platform plugin "solves" it - that would give me some confidence that my original analysis is correct which several comments above did put in doubt.


Col
Comment 129 Jonathan Thomas 2010-08-20 04:16:50 UTC
*** Bug 248452 has been marked as a duplicate of this bug. ***
Comment 130 Pino Toscano 2010-08-21 09:58:08 UTC
*** Bug 248569 has been marked as a duplicate of this bug. ***
Comment 131 Colin Guthrie 2010-08-24 09:55:55 UTC
I believe the underlying crash is now fixed in alsa-lib.

http://git.alsa-project.org/?p=alsa-lib.git;a=commitdiff;h=91c9c8f1b85e69b4bdc94a777d2767c4906c3f47

Can someone confirm this please?

If you are cherry-picking on top of 1.0.23 then grab 09879a4bb58199f64abcb8df506f917c8efc2383 first to avoid conflicts.
Comment 132 Pino Toscano 2010-08-25 11:09:06 UTC
*** Bug 248966 has been marked as a duplicate of this bug. ***
Comment 133 Pino Toscano 2010-08-26 00:49:48 UTC
*** Bug 249009 has been marked as a duplicate of this bug. ***
Comment 134 Myriam Schweingruber 2010-08-26 18:12:43 UTC
*** Bug 249033 has been marked as a duplicate of this bug. ***
Comment 135 Martin Goerg 2010-08-29 15:59:40 UTC
Created attachment 51082 [details]
New crash information added by DrKonqi

Either my version is not new enough or the bug still exists. Amarok, freshly installed, crashes every time I open it. I was using Skype and Songbird while opening Amarok, so gstreamer and alsa and what else was probably running.

Thanks for looking into this.
Comment 136 Pino Toscano 2010-08-29 19:18:40 UTC
*** Bug 249432 has been marked as a duplicate of this bug. ***
Comment 137 Ralph Janke 2010-08-30 00:50:31 UTC
Created attachment 51092 [details]
New crash information added by DrKonqi

Crash occurs every time there is a notification
Comment 138 Colin Guthrie 2010-08-30 11:52:24 UTC
@Ralph Janke & Martin Goerg: Please see comment 131. Can you confirm that you have this fix from alsa-lib git master applied to your build? If not, please retest after applying those fixes to properly test if this does resolve the problem as I suspect it will.
Comment 139 Colin Guthrie 2010-08-30 14:02:48 UTC
In addition to my comment 131, if you are cherry-picking and take 09879a4bb58199f64abcb8df506f917c8efc2383, then be sure to grab 0633a966362ce231392ff6283c99142c5bccc1c8 too as it's a fix for a typo introduced therein.
Comment 140 Christoph Feck 2010-09-04 10:20:03 UTC
*** Bug 250142 has been marked as a duplicate of this bug. ***
Comment 141 Raphael Kubo da Costa 2010-09-05 21:49:16 UTC
*** Bug 250285 has been marked as a duplicate of this bug. ***
Comment 142 Pino Toscano 2010-09-06 15:52:29 UTC
*** Bug 250364 has been marked as a duplicate of this bug. ***
Comment 143 Mikko C. 2010-09-09 18:00:51 UTC
*** Bug 250679 has been marked as a duplicate of this bug. ***
Comment 144 Pino Toscano 2010-09-10 10:41:12 UTC
*** Bug 250735 has been marked as a duplicate of this bug. ***
Comment 145 Christoph Feck 2010-09-11 11:03:56 UTC
*** Bug 250853 has been marked as a duplicate of this bug. ***
Comment 146 edgar 2010-09-12 02:55:47 UTC
Created attachment 51556 [details]
New crash information added by DrKonqi

The problem is that no audio kde desktop and configure the entire system
Comment 147 thof 2010-09-12 13:32:31 UTC
I can confirm that these fixes in alsa-lib solved problem. Knotify4 doesn't crash anymore on KDE startup and I didn't notice any issues with sound. Good job :)
Comment 148 Colin Guthrie 2010-09-12 14:24:14 UTC
Phew! Thanks thof! I was surprised it took so long for someone to confirm considering the number of CC's and duplicate reports this bug has had! Glad it's fixed things for you :)

There is still a problem in here relating to pulseaudio autospawning. When this kicks in typically knotify will be going via alsa->pulse rather than directly via gst pulsesink, but at least things work. I will of course look at this race condition too, but this bug can be closed for now I think :)
Comment 149 thof 2010-09-12 18:25:57 UTC
(In reply to comment #148)
> Phew! Thanks thof! I was surprised it took so long for someone to confirm
> considering the number of CC's and duplicate reports this bug has had!
I'm glad I could help. Yesterday I decided to "give" one more chance KDE. It was the only critical problem I had so far. 
Btw. I see that bug was reported by Arch user, so here http://dl.dropbox.com/u/1050707/arch/PKGBUILD you can find my PKGBUILD file which helps build Arch package from git.
Comment 150 Pino Toscano 2010-09-19 22:57:10 UTC
*** Bug 251743 has been marked as a duplicate of this bug. ***
Comment 151 Pino Toscano 2010-09-24 10:28:12 UTC
*** Bug 252170 has been marked as a duplicate of this bug. ***
Comment 152 Pino Toscano 2010-09-24 10:28:44 UTC
*** Bug 252171 has been marked as a duplicate of this bug. ***
Comment 153 Craig Brashear 2010-09-27 02:57:28 UTC
Just my opinion on renaming kde.so.
This will probably work until the next install of a package does an ldconfig.
Which will rescan the /usr/lib tree and re-inject it into the system.
I don't believe ldconfig cares what the name is unless you add it to a blacklist, if it still resides in usr/lib and is a library it will be re-added.

My solution to the problem is to just remove the pulsaudio server from the installation.

Multimedia is not my forte, so this could be an incorrect thing to do, but it fixed my problem, knotify no longer crashes.

Craig


(In reply to comment #109)
> Also I'm available to test most anything. I'm home most of the time and have
> free time.  I might not be capable of recompiling kde from scratch, but this
> system has plenty of disk and is only used as a development platform and my
> mail/surfing activities.  I'm running gnome, but I'm crippled since a lot of my
> life depends on KDE. :)
> 
> Another observation.  When I reboot into Gnome after the failure, the speaker
> is muted.  It's not muted when I reboot Gnome after Gnome.
> Thanks,
> Jim.
Comment 154 Colin Guthrie 2010-09-27 10:01:34 UTC
@Craig: This bug has already been marked as fixed. As you will see the problem relates to a bug in alsa-lib. So the solution to the problem is actually to update your alsa-lib package. Disabling PulseAudio will mask the trigger case for the bug, but it does not actually fix it.
Comment 155 Craig Brashear 2010-09-27 15:10:00 UTC
(In reply to comment #154)

Thanks Colin,

I wonder how long it will take for the fix to migrate to the KUbuntu team?
I will download and compile the new ALSA stuff, and see what happens ;-)

Craig


> @Craig: This bug has already been marked as fixed. As you will see the problem
> relates to a bug in alsa-lib. So the solution to the problem is actually to
> update your alsa-lib package. Disabling PulseAudio will mask the trigger case
> for the bug, but it does not actually fix it.
Comment 156 Pino Toscano 2010-10-04 10:21:07 UTC
*** Bug 253205 has been marked as a duplicate of this bug. ***
Comment 157 Corvus 2010-10-04 19:17:45 UTC
Created attachment 52219 [details]
New crash information added by DrKonqi

crash occurs every time I start KDE
Comment 158 Christoph Feck 2010-10-06 21:11:16 UTC
*** Bug 253416 has been marked as a duplicate of this bug. ***
Comment 159 Pino Toscano 2010-10-07 20:09:25 UTC
*** Bug 253535 has been marked as a duplicate of this bug. ***
Comment 160 Pino Toscano 2010-10-21 20:08:08 UTC
*** Bug 254878 has been marked as a duplicate of this bug. ***
Comment 161 Pino Toscano 2010-10-23 19:49:23 UTC
*** Bug 255056 has been marked as a duplicate of this bug. ***
Comment 162 Christoph Feck 2010-10-26 17:16:22 UTC
*** Bug 255320 has been marked as a duplicate of this bug. ***
Comment 163 Christoph Feck 2010-10-28 01:05:16 UTC
*** Bug 255462 has been marked as a duplicate of this bug. ***
Comment 164 Christoph Feck 2010-10-28 15:49:07 UTC
*** Bug 252414 has been marked as a duplicate of this bug. ***
Comment 165 Pino Toscano 2010-11-01 01:45:04 UTC
*** Bug 255759 has been marked as a duplicate of this bug. ***
Comment 166 FAYC 2010-11-01 22:26:12 UTC
Created attachment 53053 [details]
New crash information added by DrKonqi

Knotify crash at startup, logout, and during sessions without any clear reasons.
I have also some problems with audio: I used alsa under gnome and didn't install all pulse audio system, because it crashed all the time, so I uninstall all pulse audio.

thanks for your contribution !!! ;)
Comment 167 Colin Guthrie 2010-11-02 10:49:52 UTC
Fayc, as you can see this bug has already been marked as resolved. We do not want or need any more debug symbols. The bug is in alsa lib and the commits in question are referenced above. Please ask your distribution to include those patches.
Comment 168 FAYC 2010-11-04 20:55:27 UTC
OK, thanks a lot Colin and Craig : I applyed the post (like I did it before, for the same kind of bug between PA and Alsa, over all when you change environment, passing from Gnome to KDE) #153 worked for me : I work under KDE with Alsa and Jack Audio. For the moment, everything seems to be ok (have to check deeply the audio sofware fonctions)
THANKS for your contribution !!!! ;)
(In reply to comment #167)
> Fayc, as you can see this bug has already been marked as resolved. We do not
> want or need any more debug symbols. The bug is in alsa lib and the commits in
> question are referenced above. Please ask your distribution to include those
> patches.
Comment 169 FAYC 2010-11-04 20:55:34 UTC
OK, thanks a lot Colin and Craig : I applyed the post (like I did it before, for the same kind of bug between PA and Alsa, over all when you change environment, passing from Gnome to KDE) #153 worked for me : I work under KDE with Alsa and Jack Audio. For the moment, everything seems to be ok (have to check deeply the audio sofware fonctions)
THANKS for your contribution !!!! ;)
(In reply to comment #167)
> Fayc, as you can see this bug has already been marked as resolved. We do not
> want or need any more debug symbols. The bug is in alsa lib and the commits in
> question are referenced above. Please ask your distribution to include those
> patches.
Comment 170 jim h 2010-11-05 02:32:29 UTC
I am confused ... what am I suppose to do ? reinstall something?  How do I  
install the fix?

On Thu, 04 Nov 2010 15:55:41 -0400, FAYC <faycpercussion@gmail.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
>
>
>
> --- Comment #168 from FAYC <faycpercussion gmail com>  2010-11-04  
> 20:55:27 ---
> OK, thanks a lot Colin and Craig : I applyed the post (like I did it  
> before,
> for the same kind of bug between PA and Alsa, over all when you change
> environment, passing from Gnome to KDE) #153 worked for me : I work  
> under KDE
> with Alsa and Jack Audio. For the moment, everything seems to be ok  
> (have to
> check deeply the audio sofware fonctions)
> THANKS for your contribution !!!! ;)
> (In reply to comment #167)
>> Fayc, as you can see this bug has already been marked as resolved. We  
>> do not
>> want or need any more debug symbols. The bug is in alsa lib and the  
>> commits in
>> question are referenced above. Please ask your distribution to include  
>> those
>> patches.
>
> --- Comment #169 from FAYC <faycpercussion gmail com>  2010-11-04  
> 20:55:34 ---
> OK, thanks a lot Colin and Craig : I applyed the post (like I did it  
> before,
> for the same kind of bug between PA and Alsa, over all when you change
> environment, passing from Gnome to KDE) #153 worked for me : I work  
> under KDE
> with Alsa and Jack Audio. For the moment, everything seems to be ok  
> (have to
> check deeply the audio sofware fonctions)
> THANKS for your contribution !!!! ;)
> (In reply to comment #167)
>> Fayc, as you can see this bug has already been marked as resolved. We  
>> do not
>> want or need any more debug symbols. The bug is in alsa lib and the  
>> commits in
>> question are referenced above. Please ask your distribution to include  
>> those
>> patches.
>
Comment 171 Colin Guthrie 2010-11-05 09:57:17 UTC
(In reply to comment #170)
> I am confused ... what am I suppose to do ? reinstall something?  How do I  
> install the fix?

If you don't understand how to apply patches and rebuild packages, then please ask via your distributions support channel for an updated package.
Comment 172 Pino Toscano 2010-11-08 21:25:28 UTC
*** Bug 241028 has been marked as a duplicate of this bug. ***
Comment 173 Pino Toscano 2010-11-08 21:25:50 UTC
*** Bug 242245 has been marked as a duplicate of this bug. ***
Comment 174 Pino Toscano 2010-11-08 21:26:41 UTC
*** Bug 256385 has been marked as a duplicate of this bug. ***
Comment 175 mpcapetown 2010-11-08 21:29:58 UTC
Hi, how do I stop the emails from coming in? I have switched from Kmail to
Thunderbird.

Regards,
Marc

On Mon, Nov 8, 2010 at 10:26 PM, Pino Toscano <pino@kde.org> wrote:

> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
> Pino Toscano <pino@kde.org> changed:
>
>           What    |Removed                     |Added
>
> ----------------------------------------------------------------------------
>                  CC|                            |ndeb@ece.cmu.edu
>
>
>
>
> --- Comment #174 from Pino Toscano <pino kde org>  2010-11-08 21:26:41 ---
> *** Bug 256385 has been marked as a duplicate of this bug. ***
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 176 FAYC 2010-11-09 02:36:12 UTC
Hi Marc
I think you have to check and change parameters of your subscription at this
bug : do it on your bug report profile page, login on your account.
The link of this bug is: https://bugs.kde.org/show_bug.cgi?id=232068
Regards
FAYC
*
*
2010/11/8 <mpcapetown@gmail.com>

> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
>
>
>
> --- Comment #175 from  <mpcapetown gmail com>  2010-11-08 21:29:58 ---
> Hi, how do I stop the emails from coming in? I have switched from Kmail to
> Thunderbird.
>
> Regards,
> Marc
>
> On Mon, Nov 8, 2010 at 10:26 PM, Pino Toscano <pino@kde.org> wrote:
>
> > https://bugs.kde.org/show_bug.cgi?id=232068
> >
> >
> > Pino Toscano <pino@kde.org> changed:
> >
> >           What    |Removed                     |Added
> >
> >
> ----------------------------------------------------------------------------
> >                  CC|                            |ndeb@ece.cmu.edu
> >
> >
> >
> >
> > --- Comment #174 from Pino Toscano <pino kde org>  2010-11-08 21:26:41
> ---
> > *** Bug 256385 has been marked as a duplicate of this bug. ***
> >
> > --
> > Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> > ------- You are receiving this mail because: -------
> > You are on the CC list for the bug.
> >
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 177 Dario Andres 2010-11-19 21:54:28 UTC
*** Bug 257346 has been marked as a duplicate of this bug. ***
Comment 178 Dario Andres 2010-11-20 17:00:23 UTC
*** Bug 247930 has been marked as a duplicate of this bug. ***
Comment 179 Mikko C. 2010-11-30 11:14:11 UTC
*** Bug 258348 has been marked as a duplicate of this bug. ***
Comment 180 Dario Andres 2010-12-14 13:54:15 UTC
*** Bug 259818 has been marked as a duplicate of this bug. ***
Comment 181 Dario Andres 2010-12-27 12:52:44 UTC
*** Bug 261363 has been marked as a duplicate of this bug. ***
Comment 182 Pino Toscano 2010-12-27 18:43:06 UTC
*** Bug 261389 has been marked as a duplicate of this bug. ***
Comment 183 Pino Toscano 2010-12-27 18:45:45 UTC
*** Bug 261397 has been marked as a duplicate of this bug. ***
Comment 184 shaun.d.tuck 2010-12-28 05:54:13 UTC
Created attachment 55309 [details]
New crash information added by DrKonqi

crash occured when attempting to load amarok after changing preferred phonon backend from xine to gstreamer; previously, amarok loaded conistently with phonon xine backend and does now after switching back to phonon xine backend
Comment 185 Pino Toscano 2011-01-16 12:26:30 UTC
*** Bug 263298 has been marked as a duplicate of this bug. ***
Comment 186 Pino Toscano 2011-01-21 17:22:46 UTC
*** Bug 263887 has been marked as a duplicate of this bug. ***
Comment 187 Christoph Feck 2011-02-02 22:54:08 UTC
*** Bug 265229 has been marked as a duplicate of this bug. ***
Comment 188 Pino Toscano 2011-02-05 22:34:31 UTC
*** Bug 265546 has been marked as a duplicate of this bug. ***
Comment 189 Kevin Funk 2011-03-02 20:29:39 UTC
*** Bug 267403 has been marked as a duplicate of this bug. ***
Comment 190 Frederik Schwarzer 2011-03-04 14:05:36 UTC
*** Bug 267606 has been marked as a duplicate of this bug. ***
Comment 191 Christophe Giboudeaux 2011-03-21 12:11:20 UTC
*** Bug 268805 has been marked as a duplicate of this bug. ***
Comment 192 jim h 2011-03-22 01:47:46 UTC
Christophe can you remove me from this bug?  Jim Harris

On Mon, 21 Mar 2011 07:11:22 -0400, Christophe Giboudeaux  
<cgiboudeaux@gmx.com> wrote:

> https://bugs.kde.org/show_bug.cgi?id=232068
>
>
> Christophe Giboudeaux <cgiboudeaux@gmx.com> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                             
> |tek@pervasivenetwerks.com
>
>
>
>
> --- Comment #191 from Christophe Giboudeaux <cgiboudeaux gmx com>   
> 2011-03-21 12:11:20 ---
> *** Bug 268805 has been marked as a duplicate of this bug. ***
>
Comment 193 Colin Guthrie 2011-03-22 09:59:26 UTC
(In reply to comment #192)
> Christophe can you remove me from this bug?  Jim Harris

Please log in and do it yourself. Just find your email in the CC field and tick the box "Remove selected CCs". Or you could just ignore the relatively low traffic which is what I do.
Comment 194 m.prinke 2011-04-09 21:18:10 UTC
Created attachment 58746 [details]
New crash information added by DrKonqi

digikam 1.2.0 crashes at startup after Kubuntu update.
Comment 195 Colin Guthrie 2011-04-10 14:25:40 UTC
(In reply to comment #194)
> Created an attachment (id=58746) [details]
> New crash information added by DrKonqi
> 
> digikam 1.2.0 crashes at startup after Kubuntu update.


The backtrace here looks like a bug that was fixed in alsa-lib ages ago. Please make sure things are up to-date on your system.
Comment 196 Christoph Feck 2011-04-13 02:34:41 UTC
*** Bug 270497 has been marked as a duplicate of this bug. ***
Comment 197 Christophe Giboudeaux 2011-04-18 21:08:10 UTC
*** Bug 271235 has been marked as a duplicate of this bug. ***
Comment 198 Myriam Schweingruber 2011-04-24 18:15:39 UTC
*** Bug 271595 has been marked as a duplicate of this bug. ***
Comment 199 Myriam Schweingruber 2011-04-27 21:16:50 UTC
reassigning to the new bugzilla product for better bug tracing of the various backends. Sorry for the noise.
Comment 200 Christoph Feck 2011-07-09 13:11:12 UTC
*** Bug 277415 has been marked as a duplicate of this bug. ***
Comment 201 Christoph Feck 2011-08-02 22:21:53 UTC
*** Bug 279171 has been marked as a duplicate of this bug. ***
Comment 202 Dominik Haumann 2011-08-21 19:53:19 UTC
*** Bug 280510 has been marked as a duplicate of this bug. ***